Subject: Re: general protection fault in __handle_mm_fault

From: Ido Schimmel <[email-masked]>
Date: Tue, 9 Oct 2018 20:05:17 +0300

On Tue, Oct 09, 2018 at 12:02:58PM -0400, Willem de Bruijn wrote:
> On Tue, Oct 9, 2018 at 11:00 AM Eric Dumazet <[email-masked]> wrote:
> > Well, this is a C repro, you can test this yourself instead of asking Willem who
> > already did a painful bisection.
> 
> Thanks Eric. It does take some effort to get the syzkaller environment
> up and running [1] and I happen to have it ready, so I don't mind testing
> a few patches.

It is possible to ask syzbot to test the patch. I sent a couple of
patches and got a response in 20-30 minutes. Very convenient.

It is mentioned at the bottom of the report:

"
syzbot can test patches for this bug, for details see:
https://goo.gl/tpsmEJ#testing-patches
"